List Data Sources
GET/api/v1/data-sources
List data sources for a given project. If project_id is not provided, uses the default project.
ReturnsExpand Collapse
component: map[unknown] or CloudS3DataSource { bucket, aws_access_id, aws_access_secret, 5 more } or CloudAzStorageBlobDataSource { account_url, container_name, account_key, 8 more } or 9 more
component: map[unknown] or CloudS3DataSource { bucket, aws_access_id, aws_access_secret, 5 more } or CloudAzStorageBlobDataSource { account_url, container_name, account_key, 8 more } or 9 more
Component that implements the data source
One of the following:
CloudS3DataSource = object { bucket, aws_access_id, aws_access_secret, 5 more }
CloudS3DataSource = object { bucket, aws_access_id, aws_access_secret, 5 more }
CloudAzStorageBlobDataSource = object { account_url, container_name, account_key, 8 more }
CloudAzStorageBlobDataSource = object { account_url, container_name, account_key, 8 more }
CloudGoogleDriveDataSource = object { folder_id, class_name, service_account_key, supports_access_control }
CloudGoogleDriveDataSource = object { folder_id, class_name, service_account_key, supports_access_control }
CloudSharepointDataSource = object { client_id, client_secret, tenant_id, 11 more }
CloudSharepointDataSource = object { client_id, client_secret, tenant_id, 11 more }
exclude_path_patterns: optional array of string
exclude_path_patterns: optional array of string
List of regex patterns for file paths to exclude. Files whose paths (including filename) match any pattern will be excluded. Example: [‘/temp/’, ‘/backup/’, ‘.git/’, ‘.tmp$’, ’^~’]
CloudConfluenceDataSource = object { authentication_mechanism, server_url, api_token, 10 more }
CloudConfluenceDataSource = object { authentication_mechanism, server_url, api_token, 10 more }
CloudJiraDataSource = object { authentication_mechanism, query, api_token, 5 more }
CloudJiraDataSource = object { authentication_mechanism, query, api_token, 5 more }
CloudJiraDataSourceV2 = object { authentication_mechanism, query, server_url, 10 more }
CloudJiraDataSourceV2 = object { authentication_mechanism, query, server_url, 10 more }
CloudBoxDataSource = object { authentication_mechanism, class_name, client_id, 6 more }
CloudBoxDataSource = object { authentication_mechanism, class_name, client_id, 6 more }
List Data Sources
curl https://api.cloud.llamaindex.ai/api/v1/data-sources \
-H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"[
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"component": {
"foo": "bar"
},
"name": "name",
"project_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"source_type": "S3",
"created_at": "2019-12-27T18:11:19.117Z",
"custom_metadata": {
"foo": {
"foo": "bar"
}
},
"updated_at": "2019-12-27T18:11:19.117Z",
"version_metadata": {
"reader_version": "1.0"
}
}
]Returns Examples
[
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"component": {
"foo": "bar"
},
"name": "name",
"project_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"source_type": "S3",
"created_at": "2019-12-27T18:11:19.117Z",
"custom_metadata": {
"foo": {
"foo": "bar"
}
},
"updated_at": "2019-12-27T18:11:19.117Z",
"version_metadata": {
"reader_version": "1.0"
}
}
]